|
|||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||
ObjectURLRewriter
public abstract class URLRewriter
Offers methods for rewriting URLs/query parameters.
| Constructor Summary | |
|---|---|
URLRewriter()
|
|
| Method Summary | |
|---|---|
boolean |
allowOtherRewriters()
|
boolean |
allowParamsOnFormAction(ServletContext servletContext,
ServletRequest request)
Tell whether rewritten form actions should be allowed to have query parameters. |
abstract String |
getNamePrefix(ServletContext servletContext,
ServletRequest request,
String name)
Get the prefix to use when rewriting a query parameter name. |
abstract void |
rewriteURL(ServletContext servletContext,
ServletRequest request,
ServletResponse response,
MutableURI url,
URLType type,
boolean needsToBeSecure)
Rewrite the given URL. |
void |
setAllowOtherRewriters(boolean allowOtherRewriters)
|
| Methods inherited from class Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public URLRewriter()
| Method Detail |
|---|
public void setAllowOtherRewriters(boolean allowOtherRewriters)
public boolean allowOtherRewriters()
public abstract String getNamePrefix(ServletContext servletContext,
ServletRequest request,
String name)
servletContext - the current ServletContext.request - the current ServletRequest.name - the name of the query parameter.
public abstract void rewriteURL(ServletContext servletContext,
ServletRequest request,
ServletResponse response,
MutableURI url,
URLType type,
boolean needsToBeSecure)
servletContext - the current ServletContext.request - the current ServletRequest.response - the current ServletResponse.url - the MutableURI to be rewritten.type - the type of URL to be rewritten. This is one of the following values:
action: a standard (non-resource) URL
resource: a resource (e.g., image) URL
needsToBeSecure - a flag indicating whether the URL should be secure (SSL required) or not
public boolean allowParamsOnFormAction(ServletContext servletContext,
ServletRequest request)
false, then a form-tag implementation should render query parameters into hidden
fields on the form instead of allowing them to remain in the URL.
|
|||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||